﻿namespace TestProject;

/// <summary>
/// 항목
/// </summary>
public class Item
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region ID - ID

    /// <summary>
    /// ID
    /// </summary>
    public int ID { get; set; }

    #endregion
    #region 성명 - Name

    /// <summary>
    /// 성명
    /// </summary>
    public string Name { get; set; }

    #endregion
    #region 연도 - Year

    /// <summary>
    /// 연도
    /// </summary>
    public int Year { get; set; }

    #endregion
    #region 데이터 - Data

    /// <summary>
    /// 데이터
    /// </summary>
    public int Data { get; set; }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 문자열 구하기 - ToString()

    /// <summary>
    /// 문자열 구하기
    /// </summary>
    /// <returns>문자열</returns>
    public override string ToString()
    {
        return $"{ID}, {Name}, {Year}, {Data}";
    }

    #endregion
}